Subject: git init with specified user.email

From: David Miguel Susano Pinto <[email-masked]>
Date: Thu, 08 Jan 2026 17:21:31 +0000

git checkout has a --config option so one can do:

    git clone --config 'user.email=email-for-this-clone' ...

which I find nice to setup as git alias:

    clone-work = clone --config 'user.email=my-work-email'

(while leaving the default clone for my personal projects; or an alias
for clone-personal with the work email as the clone default).

I would like something similar for git init.  However, git init does not
have a `--config` option.  I tried to use

    git -c 'user.email=my-work-email' init

but that's not working (I'm guessing it only picks up configurations
mentioned on the man page for git-init).

I am currently working around this with a template for work but would
prefer to init with `-c` (or similar) or at least understand why this is
not possible.

--
David